/***
 * Excerpted from "Deliver Audacious Web Apps with Ember 2",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/mwjsember for more book information.
***/
import ApplicationSerializer from './application';

export default ApplicationSerializer.extend({
  normalize: function(typeClass, hash, prop) {
    hash.title = hash.Title;
    delete hash.Title;
    return this._super(typeClass, hash, prop);
  },
  serialize: function(snapshot, options) {
    let json = {
      Title: snapshot.attr('title'),
    };
    return json;
  },
});
